<?php
/*
 *
 * sflog!
 * Copyright (C) 2005 Alberto Sfolcini <a.sfolcini@gmail.com>
 *
 * This file is a part of sflog!.
 *
 * sflog! is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * sflog! is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 */
 
// define THEME SECTIONS

define('TEMPLATE_PAGE_HEADER'	, '[TEMPLATE_PAGE_HEADER]');
define('TEMPLATE_PAGE_TITLE'	, '[TEMPLATE_PAGE_TITLE]');
define('TEMPLATE_SITE_LOGO'	, '[TEMPLATE_SITE_LOGO]');
define('TEMPLATE_SITE_BLOGSBAR'	, '[TEMPLATE_SITE_BLOGSBAR]');
define('TEMPLATE_SITE_PATHBAR'	, '[TEMPLATE_SITE_PATHBAR]');
define('TEMPLATE_SITE_ENTRIES'	, '[TEMPLATE_SITE_ENTRIES]');
define('TEMPLATE_SITE_SIDEBAR'	, '[TEMPLATE_SITE_SIDEBAR]');
define('TEMPLATE_SITE_FOOTER'	, '[TEMPLATE_SITE_FOOTER]');
define('TEMPLATE_SITE_TRACKER'	, '[TEMPLATE_SITE_TRACKER]');
define('TEMPLATE_SITE_CSS'	, '[TEMPLATE_SITE_CSS]');

define('TEMPLATE_PAGE_HEADER_CONTENT'	, '<?php include("./includes/pageHeader.inc.php"); ?>'); 
define('TEMPLATE_PAGE_TITLE_CONTENT'	, '<?include("./html/title.html.php")?>'); 
define('TEMPLATE_SITE_LOGO_CONTENT'	, '<?php include("./html/logo.html.php"); ?>');
define('TEMPLATE_SITE_BLOGSBAR_CONTENT'	, '<?php require_once("./includes/blogsbar.inc.php"); ?>');
define('TEMPLATE_SITE_PATHBAR_CONTENT'	, '<?php require_once("./includes/mpath.inc.php"); ?>');

define('TEMPLATE_SITE_ENTRIES_CONTENT'	, '		<?php
			/**
			 * If PhotoBlog do not show entries
			 */
			if (isset($_GET[\'photoblog\'])){
				require_once("./includes/photoblog.inc.php");
			}else{
				require_once("./includes/post.inc.php");							
				require_once("./includes/entries.inc.php");
			}
		?>');
		
define('TEMPLATE_SITE_SIDEBAR_CONTENT'	, '<?php
				include_once("./cms/Sidebar.class.php");
				$sidebar = new Sidebar($_blogID,true,true,true,true,true,true);
			?>	');

define('TEMPLATE_SITE_FOOTER_CONTENT'	, '<?php include_once("./html/footerBar.html.php"); ?>');

define('TEMPLATE_SITE_TRACKER_CONTENT'	, '<?php include_once("./includes/tracker"); ?>');
 
?>